package cn.superdesk.uniorder.common.enums.thirdpart.jd;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 京东 结清状态 未结清
 * @Author: linjinyu
 * @CreateDate: 2021/10/21 上午10:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/10/21 上午10:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public enum JdSettledStateEnum {

	UNKNOW(-1, "UNKNOW"),
	未结清(1, "未结清"),
	;

	private Integer key;
	private String  desc;

	JdSettledStateEnum(Integer key, String desc) {
		this.key = key;
		this.desc = desc;
	}

	public Integer getKey() {
		return key;
	}

	public String getDesc() {
		return desc;
	}

	public static String getDesc(Integer key) {
		for (JdSettledStateEnum c : JdSettledStateEnum.values()) {
			if (c.key.equals(key)) {
				return c.getDesc();
			}
		}
		return null;
	}

	private static final Map<Integer, JdSettledStateEnum> LOOKUP = new HashMap<>();

	static {
		for (JdSettledStateEnum s : EnumSet.allOf(JdSettledStateEnum.class)) {
			LOOKUP.put(s.getKey(), s);
		}
	}

	public static JdSettledStateEnum get(Integer key) {
		return LOOKUP.get(key);
	}

	public static JdSettledStateEnum getByDesc(String desc) {
		for (JdSettledStateEnum stateEnum : JdSettledStateEnum.values()) {
			if (stateEnum.desc.equals(desc)) {
				return stateEnum;
			}
		}
		return JdSettledStateEnum.UNKNOW;
	}
}
